Bug 116478 - www/linux-flashplugin7 distfile not fetchable
Summary: www/linux-flashplugin7 distfile not fetchable
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-20 01:30 UTC by Callum Gibson
Modified: 2007-09-24 11:50 UTC (History)
0 users

See Also:


Attachments
linux-flashplugin7.diff (2.43 KB, patch)
2007-09-23 19:45 UTC, Jamie Jones
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Callum Gibson 2007-09-20 01:30:11 UTC
The linux-flashplugin7 port distfile is no longer fetchable from adobe's website as specified in the port, plus all occurrences in ports/distfiles on all FreeBSD mirrors seem to have been removed.

Many people still prefer v7 over v9 due to stability problems with the latter.

Fix: 

Adobe have reworked the download section for old releases of the flash player and the whole of v7 (and other versions) is available for all architectures as a single zip file. I guess the solution is to download this large file (> 30MB) and pick out the linux file, or perhaps extract the linux distro and put it up on the FreeBSD sites at least. Note, the file included in the zip is different in size and checksum to the one referenced by distinfo in the port.

The download page for all archived versions of flash player is:
http://kb.adobe.com/selfservice/viewContent.do?externalId=tn_14266&sliceId=1

The v7 file is:
http://fpdownload.macromedia.com/get/flashplayer/installers/archive/fp7_archive.zip
How-To-Repeat: Try to build www/linux-flashplugin7.
Comment 1 Edwin Groothuis freebsd_committer 2007-09-20 01:37:51 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer)
Comment 2 Edwin Groothuis freebsd_committer 2007-09-20 01:37:59 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 Jamie Jones 2007-09-23 08:05:12 UTC
> Maintainer of www/linux-flashplugin7,
>
> Please note that PR ports/116478 has just been submitted.

Thanks for the 'headsup' - I'll submit a suitable patch shortly.
Comment 4 Jamie Jones 2007-09-23 19:45:15 UTC
Thanks Callum for pointing this out, and also locating the distfile.

I include the diff to update the port accordingly.

Until we can get clear permission to distribute the particular distfile (it's in discussion
at the moment) I had to go with the port downloading the complete archive file
from the adobe site.

Cheers, 

Jamie
Comment 5 Edwin Groothuis freebsd_committer 2007-09-24 11:48:34 UTC
State Changed
From-To: feedback->closed

Committed, thanks!
Comment 6 dfilter service freebsd_committer 2007-09-24 11:48:34 UTC
edwin       2007-09-24 10:48:28 UTC

  FreeBSD ports repository

  Modified files:
    www/linux-flashplugin7 Makefile distinfo pkg-descr 
  Log:
  www/linux-flashplugin7 distfile not fetchable
  
          The linux-flashplugin7 port distfile is no longer fetchable
          from adobe's website as specified in the port, plus all
          occurrences in ports/distfiles on all FreeBSD mirrors seem
          to have been removed.
  
          Many people still prefer v7 over v9 due to stability problems
          with the latter.
  
  PR:             ports/116478
  Submitted by:   Callum Gibson <callumgibson@optusnet.com.au>
  
  Revision  Changes    Path
  1.22      +15 -12    ports/www/linux-flashplugin7/Makefile
  1.13      +3 -3      ports/www/linux-flashplugin7/distinfo
  1.7       +2 -0      ports/www/linux-flashplugin7/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"